Bug 817658 - System Properties for registered system lists "Arch" as blank
System Properties for registered system lists "Arch" as blank
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: rc
: 1.X
Assigned To: Tom McKay
Corey Welton
: Triaged
Depends On: 812417 828311
  Show dependency treegraph
Reported: 2012-04-30 15:08 EDT by Tom McKay
Modified: 2016-04-25 21:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 812417
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Systems properties for registered system lists Arch with appropriate value (149.89 KB, image/png)
2012-05-14 02:25 EDT, Tazim Kolhar
no flags Details

  None (edit)
Description Tom McKay 2012-04-30 15:08:53 EDT
+++ This bug was initially created as a clone of Bug #812417 +++

Created attachment 577377 [details]

Description of problem:

See attached screenshot.  The system property "Arch" is empty for all RHEL5 i386 registered+subscribed systems.  All RHEL5 x86_64 show the expected value of "x86_64".  I have not confirmed whether RHEL6 i386 systems have a valid Arch property yet.

Version-Release number of selected component (if applicable):
 * katello-0.1.309-1.el6.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.0.4-1.el6.src.rpm
 * katello-cli-0.1.107-1.el6.src.rpm
 * katello-configure-0.1.107-1.el6.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-0.1.10-1.el6.src.rpm
 * pulp-1.0.4-1.el6.src.rpm

How reproducible:

Steps to Reproduce:
1. Register a RHEL5 i386 client to a System Engine
2. Navigate to the Systems list in the System Engine web-ui
3. Select the newly registered system and observe system properties
Actual results:

 * The system architecture is empty

Expected results:

 * The system architecture should not be empty

Additional info:

 * See attached screenshot

 * The subscription-manager client shows uname.machine as i386

> # subscription-manager facts --list | grep -i i.86
> uname.machine: i686

--- Additional comment from jlaska@redhat.com on 2012-04-13 13:25:44 EDT ---

 - This affects *all* RHEL i386 registered systems, RHEL5 and RHEL6.

--- Additional comment from jlaska@redhat.com on 2012-04-18 08:23:55 EDT ---

Anyone know how severe it is that registered i386 systems do not properly display their architecture in the system summary on Katello?

Is this just a minor UI issue, or is the lack of architecture data more fundamental.

== Additional data ==

 * I'm able to successfully find x86_64 systems by searching for 'system.machine:x86_64'.
 * I'm able to successfully find i386 systems by searching for 'system.machine:i686'

I have no idea if this is good/bad?  If this is just a UI quirk, this feels safe to move to 1.1.0.  Please advise.

--- Additional comment from tomckay@redhat.com on 2012-04-18 08:30:06 EDT ---

The info displayed comes from the system fact uname.machine passed through
{ 'i386' => 'x86', 'ia64' => 'Itanium', 'x86_64' => 'x86_64', 'ppc' => 'PowerPC',
      's390' => 'IBM S/390', 's390x' => 'IBM System z', 'sparc64' => 'SPARC Solaris' }

This is only a display issue, though it clearly is an issue in this case.

--- Additional comment from jlaska@redhat.com on 2012-04-18 08:34:09 EDT ---

Thanks Tom, proposing for cloudforms-1.1.0 and 1.0.z.  This is not critical for the 1.0 release.
Comment 1 RHEL Product and Program Management 2012-04-30 15:34:09 EDT
Thank you for your bug report. This issue was evaluated for inclusion
in the current release of Subscription Asset Manager (SAM). Unfortunately,
we are unable to address this request. Because we are in the final stages
of development in the current release, only significant, release-blocking
issues involving serious regressions and data corruption can be considered.

If you believe this issue meets the release blocking criteria as defined and
communicated to you by your Red Hat Support representative, please ask
your representative to file this issue as a blocker for the current release.
Otherwise, ask that it be evaluated for inclusion in the next release of SAM.
Comment 2 Tom McKay 2012-04-30 15:41:55 EDT
  Branch: refs/heads/master
  Home:   https://github.com/Katello/katello
  Commit: ce272e099d3bcd55eddde882c64118db3cdd52ad
  Author: Tom McKay <thomasmckay@redhat.com>
  Date:   2012-04-30 (Mon, 30 Apr 2012)
Comment 3 Tom McKay 2012-05-10 08:41:10 EDT
Note for testing: Register a system with the fact uname.machine i686 and confirm the arch shows up in UI. Note that system facts can be overridden manually by putting a file in /etc/rhsm/facts with the desired fact in json format:

echo '{"uname.machine": "i686"}' > /etc/rhsm/facts/uname.facts
Comment 4 Tazim Kolhar 2012-05-14 02:25:10 EDT
Created attachment 584251 [details]
Systems properties for registered system lists Arch with appropriate value

VERIFIED with the build :

[root@dhcp201-195 ~]# rpm -qa | grep katello

Modify the system property manually :
[root@tyan-gt24-12 rhsm]# echo '{"uname.machine":"i686"}' > /etc/rhsm/facts/uname.facts

List the modified system fact :
[root@tyan-gt24-12 rhsm]# subscription-manager facts --list | grep uname.machine
uname.machine: i686

Register the system :

[root@tyan-gt24-12 rhsm]# subscription-manager register --user admin --password admin --org ACME_Corporation --environment DEV --force
The system has been registered with id: b6794067-d9a1-4908-a8f6-e791028f8590 

The systems properties of registered system list Arch with appropriate value .

Note You need to log in before you can comment on or make changes to this bug.